LINUX.ORG.RU

Вышел Eclipse 4.5 Mars

 , ,


0

5

Вышла очередная версия проекта Eclipse - набора технологий для разработки на языке Java, самой известной из которых является Eclipse IDE.

Некоторые изменения:

  • Поддержка GTK3 в Linux-версии стабилизирована, теперь поддерживаются также версии 3.10 и выше (ранее официально поддерживались только версии 3.8 и ниже). Для GTK2 теперь поддерживаются только версии 2.18 и выше.
  • В Eclipse Marketplace доступна для загрузки предварительная версия поддержки Java 9.
  • В проект Linux Tools теперь входят средства для управления контейнерами Docker.
  • Новый проект Oomph позволяет легче управлять установкой и конфигурацией нескольких установленных версий Eclipse IDE и синхронизировать пользовательские настройки между workspaces.
  • Улучшена интеграция с системой сборки Maven, включая поддержку Maven 3.3.3, интеграцию с архетипами, улучшенное автозавершение в редакторе pom-файлов и экспериментальную поддержку автоматических обновлений конфигурации.
  • Новый проект Buildship предоставляет интеграцию Eclipse с системой сборки Gradle.
  • Традиционные мелкие улучшения в Java IDE, включая Quick Fixes для Java 8, иерархическое представление для вложенных проектов, возможность настройки perspective, ускорение текстового поиска и другие изменения.
  • Добавлено средство для отправления разработчикам отчётов об ошибках в IDE. Отключаемое.

Кроме того, в этой версии дебютировал новый установщик Eclipse Installer, призванный упростить установку под Windows, Linux и Mac OS X. Доступны и традиционные для предыдущих релизов архивы с исполняемыми файлами Eclipse IDE.

>>> Подробности

anonymous

Проверено: Shaman007 ()

Бгг, неужели спутники юпитера закончились?

melkor217 ★★★★★ ()

Скучно. Я правильно понял, что все стагнирует и кое-как, хромая, гонится за окружающей реальностью?

t184256 ★★★★★ ()

А когда тормозить перестанет?

Solace ★★ ()

Оно все также неспеша работает, или уже можно пользовать?

EugeneBas ★★ ()
Ответ на: комментарий от EugeneBas

В еклипсе только деградация

PS: использовал его до 2010 года

fornlr ★★★★★ ()

Эх, не могли указать сразу ссылку на локализацию. Пришлось самому искать update-site.
С PyDev полет нормальный, хотя как таковой разницы между луной я не вижу.
Кстати установил по старинке, не пробовал их дебютный инсталлятор.
Кто-нибудь пробовал их инсталлятор?

SysoevDV ()

Пока новый CDT можно поставить на Kepler, новые выпуски Eclipse не нужны.

tailgunner ★★★★★ ()
Ответ на: комментарий от EugeneBas

Давно можно, но оперативки желательно иметь много.

asaw ★★★★★ ()
Ответ на: комментарий от asaw

ладно, уговорил очередной заход на попробовать сделать, как раз оперативы недавно подкупил

EugeneBas ★★ ()
Ответ на: комментарий от EugeneBas

Оно все также неспеша работает, или уже можно пользовать?

Сначала нужно обновить железо до pentium 4 и хотя бы 512Mb ram.

Yilativs ★★★ ()
Ответ на: комментарий от fornlr

В еклипсе только деградация PS: использовал его до 2010 года

А что еще так же удобно для работы с java, aspectj, maven?
(включая платные IDE)

Yilativs ★★★ ()
Ответ на: комментарий от Solace

А когда тормозить перестанет?

Когда у тебя будет больше 512MB оперативки.

Yilativs ★★★ ()
Ответ на: комментарий от Yilativs

Я раньше пробовал эклипс пускать на core 2 duo с 2 гигами оперативы и как-то мне не понравилось.

EugeneBas ★★ ()
Ответ на: комментарий от t184256

Эклипс задыхается под собственной тяжестью. Бюрократия, design by committee, адский overengineering в плохо документированной платформе с абстракциями на абстракциях, и т.д.

anonymous ()
Ответ на: комментарий от Solace

У меня на 8 летает. Наверное, у тебя память не той системы.

anonymous ()
Ответ на: комментарий от Yilativs

Когда у тебя будет больше 512MB оперативки.

Трындеть не надо. Хоть бы 2 гига сказал. Да и то некомфортно.

anonymous ()
Ответ на: idea от sprite_13

Re: idea

idea

+1000000

Хотя память ТОЖЕ очень любит.

anonymous ()

Ставил релиз кандидат в дефолтную Ubuntu 15.04, столкнулся с проблемой, что UI начинает жестко тормозить, окна долго открываются, ввод текста с тормозами паузами.

Обычно проявлялось, после ухода в suspend, спасала только перезагрузка. Кто-нибудь сталкивался? Надо попробовать релиз посмотреть.

foror ★★★ ()
Ответ на: комментарий от Yilativs

IntelliJ же. Даже community-версия удобнее эклипса, а в ultimate так вообще, как в Греции, все есть.

cherry-pick ()
Ответ на: Re: idea от anonymous

Ну, так правильно - оно же все исходники парсит, и дерево строит, для «интеллигентного» автодополнения. Такое всегда ресурсы жрало сильно.

cherry-pick ()
Ответ на: комментарий от anonymous

У меня на 8 летает. Наверное, у тебя память не той системы.

попробуй работать с проектом сложнее, чем «hello world»

Gu4 ()
Ответ на: комментарий от cherry-pick

А тигры в Греции ADT Bundle (или любой другой его аналог) в IntelliJ есть?

anonymous ()
Ответ на: комментарий от cherry-pick

Как вы живёте с Idea на Linux вообще? Меня она бесить начинает сразу после установки, с вопроса «укажите где у вас тут java». Что значит «где?»: в /usr/bin/java, или на худой конец в /etc/alternatives/java.

И в остальном никакой интеграции с окружением.

А ещё ей крышу сносит когда проект одновременно под git и svn, ну это ладно, это ещё можно простить.

voronaam ★★ ()
Последнее исправление: voronaam (всего исправлений: 2)
Ответ на: комментарий от voronaam

Что значит «где?»: в /usr/bin/java, или на худой конец в /etc/alternatives/java.

Эх, обмельчали линуксоиды нынче, уже и JDK с бинариком-запускалкой JVM путают. Кроме того, если ты явой деньги зарабатываешь, у тебя всеравно несколько jdk установлено - 6 для одних проектов, 7 для других, 8 для третьих.

когда проект одновременно под git и svn

А вот за такое на урановые рудники отправлять надо разработчиков.

cherry-pick ()
Ответ на: комментарий от cherry-pick

Уж не помню спрашивает она про java или про JDK, но в любом случае, IDE могла бы посмотреть что в системе настроена:

$ update-java-alternatives -l
java-1.7.0-openjdk-amd64 1071 /usr/lib/jvm/java-1.7.0-openjdk-amd64
java-1.7.0-openjdk-i386 1071 /usr/lib/jvm/java-1.7.0-openjdk-i386
java-1.8.0-openjdk-amd64 1069 /usr/lib/jvm/java-1.8.0-openjdk-amd64

А так получается после каждой сборки JDK, мне надо помнить отдельно исправить настройку в IDE...

voronaam ★★ ()
Ответ на: комментарий от cherry-pick

IntelliJ же.

Её хоткеи пересекаются с Ubuntu. Сразу видно, как они относятся к Linux разработчикам.

Даже community-версия удобнее эклипса, а в ultimate так вообще, как в Греции, все есть.

Зачем все эти свистелки и перделки? Я наоборот, тот же Eclipse, сливаю только ядро, не с офиц. страницы. А потом доинсталиваю Java модуль. Больше ничего и не надо.

foror ★★★ ()
Ответ на: комментарий от foror

Её хоткеи пересекаются с Ubuntu

Тоже мне, линуксоид, даже среду настроить не может. Иди назад в Винду, раз не умеешь свою рабочую среду настраивать.

Зачем все эти свистелки и перделки?

Ну, хэлловордщикам рефакторинг, поддержка спринга, умного автодополнения, интеграции с джирой и прочего да, не нужны, они свой хэлловорлд и в виме напишут.

cherry-pick ()
Ответ на: комментарий от cherry-pick

Ну, хэлловордщикам рефакторинг, поддержка спринга, умного автодополнения, интеграции с джирой и прочего да, не нужны

Ты правда считаешь, что в Eclipse JDT нет рефакторинга и умного дополнения?

tailgunner ★★★★★ ()
Ответ на: комментарий от cherry-pick

Тоже мне, линуксоид, даже среду настроить не может. Иди назад в Винду, раз не умеешь свою рабочую среду настраивать.

Зачем мне настраивать среду? Когда проще поставить Eclipse и все работает из коробки.

Ну, хэлловордщикам рефакторинг, поддержка спринга, умного автодополнения, интеграции с джирой и прочего да, не нужны, они свой хэлловорлд и в виме напишут.

Рефакторинг, умного автодополнения, работает в Eclipse из коробки. С вашим спрингом, джирой и прочим ынтерпрайзом мучайтесь сами.

Мне Maven, Tapestry5 и Hibernate хватало. Сейчас пилю еще более простую систему под себя.

foror ★★★ ()
Ответ на: комментарий от foror

spring
мучайтесь

Велосипедисты смешные люди, главное, чтобы с ними в одной команде работать не пришлось, а то задолбаешься их говнокод с методами по 9000 строчек переделывать.

cherry-pick ()
Ответ на: комментарий от cherry-pick

Велосипедисты смешные люди

Без велосипедистов, сидел бы щас в пещере, щипал кость мамонта...

foror ★★★ ()

Больше всего доставило, что предупреждает об утечке ресурсов при незакрытом спринговом AppicationContext.

Пустячок, а приятно.

Bioreactor ★★★★★ ()
Ответ на: idea от sprite_13

Eclipse под OS X выглядит как нативное Aqua Cocoa приложение.

А ЕСТЬ_ИДЕЯ_ЕСТЬ_ИКЕЯ - как криворукое студенческое поделие.

Bioreactor ★★★★★ ()
Ответ на: комментарий от Bioreactor

Eclipse на SWT, поэтому берет найтивные контролы у системы

Karapuz ★★★★★ ()

Они уже починили работу хоткеев вне английской раскладки?

TERRANZ ★★★★ ()
Ответ на: комментарий от SysoevDV

походу весь дебютный инсталлер - это новый баннер, от новоприбывших гей дизайнеров. А народ, который должен пилить фичи и фиксить баги, как обычно, исчез.

ii8_ ★★★★ ()
Ответ на: комментарий от asaw

ему всегда будет мало. ведь мы то знаем что дело не в оперативке))

ii8_ ★★★★ ()
Ответ на: комментарий от Yilativs

мавен? да ты пробовал мавен в кеплере? а какая там версия мавена была, небось альфа и разрабы не успели допилить функционал?

ii8_ ★★★★ ()
Ответ на: комментарий от cherry-pick

идеи прощаю, но вот на что ресурсы тратит сабж, чьё автодополнение вызывает печаль?

ii8_ ★★★★ ()

Eclipse - неплохая IDE, регулярно пользуюсь, но только для Java SE. К сожалению, WTP, JSDT, Spring TS и прочая - довольно убогие поделия, т.ч. сборка для EE девелоперов ни о чем. Лучше бы они в эту сторону пилили.

emcode ()
Ответ на: комментарий от Yilativs

А что еще так же удобно для работы с java, aspectj, maven?

Из сравнимых по удобству пожалуй только vim с плагинами. Сам я нетбинсом пользуюсь - он поудобнее будет.

ya-betmen ★★★★★ ()
Ответ на: комментарий от ya-betmen

Из сравнимых по удобству пожалуй только vim с плагинами. Сам я нетбинсом пользуюсь - он поудобнее будет.

У нетбинса уже появился LaF, который нормально выглядит под линукс?

emcode ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.